<form class="popup undertaking" autocomplete="off">
    <div class="flexrow">
        <div class="header">
            <img src="systems/tor2e/assets/images/icons/undertaking.webp"
                 title="{{localize 'tor2e.items.undertakings.event.title'}}" height="180" width="150"
                 alt="{{localize 'tor2e.items.undertakings.event.description'}}"/>
        </div>

        <div class="flexcol body">
            <h2>{{localize "tor2e.items.undertakings.roll-dialog.title"}}</h2>
            <div class="flexcol content">
                <div class="item-element flexrow">
                    <label for="name">{{localize "tor2e.undertakings.name"}}</label>
                    <input id="name" class="attribute-value"
                           name="name"
                           type="text"
                           value=""
                           placeholder='{{localize "tor2e.undertakings.name"}}'
                           data-dtype="String"/>
                </div>

                <div class="item-element flexrow">
                    <label for="location">{{localize "tor2e.undertakings.location"}}</label>
                    <input id="location" class="attribute-value"
                           name="location"
                           type="text"
                           value=""
                           placeholder='{{localize "tor2e.undertakings.location"}}'
                           data-dtype="String"/>
                </div>

                <div class="item-element flexrow">
                    <label for="season">{{localize "tor2e.undertakings.season"}}</label>
                    <select id="season" class="auto-sizeable"
                            name="season">
                        {{selectOptions config.seasons
                                        selected=""
                                        localize=true
                        }}
                    </select>
                </div>
                <div class="item-element flexrow">
                    <label for="year">{{localize "tor2e.undertakings.year"}}</label>
                    <input id="year" class="attribute-number-value"
                           name="year"
                           type="number"
                           value="2946"
                           data-dtype="Number"/>
                </div>
                <div class="item-element flexrow">
                    <label for="free">{{localize "tor2e.undertakings.free"}}</label>
                    <input id="free" class="attribute-value"
                           name="free"
                           type="checkbox"
                           value=false
                           data-dtype="Boolean"/>
                </div>
                <div class="item-element flexrow">
                    <label for="yule">{{localize "tor2e.undertakings.yule"}}</label>
                    <input id="yule" class="attribute-value"
                           name="yule"
                           type="checkbox"
                           value=false
                           data-dtype="Boolean"/>
                </div>
            </div>
        </div>
    </div>
</form>